# Get balances for account (deprecated)

Returns the balance information for a specific account.


Does a fresh pull from the external provider.

Endpoint: GET /data/v2/consents/{consentId}/accounts/{accountId}/balances
Version: all
Security: Bearer

## Path parameters:

  - `consentId` (string, required)
    The consent ID for which we want to fetch balance information

  - `accountId` (string, required)
    The account ID for which we want to fetch balance information

## Header parameters:

  - `endUser-Ip` (string)
    The IP address of the end user. If provided will enable unlimited data refreshes for open banking providers that support this feature.

## Response 200 fields (application/json):

  - `data` (object)
    Balance information for a given account

  - `data.current` (object)
    Balance information for a given account

  - `data.current.amount` (number)
    The absolute amount of the balance

  - `data.current.creditDebitIndicator` (string)
    Enum: "Credit", "Debit"

  - `data.current.creditLines` (array)
    Credit lines of the balance

  - `data.current.creditLines.amount` (number)
    Amount for credit lines is optional and can be null.

  - `data.current.creditLines.creditLineType` (string)
    Enum: "NA", "PREAGREED", "TEMPORARY", "EMERGENCY", "CREDIT", "AVAILABLE"

  - `data.current.creditLines.included` (boolean)

  - `data.current.creditLines.predicted` (boolean)

## Response 403 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 404 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 500 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 502 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

